class BtlEroCheck_Class {
    constructor() {
        this.SW_ニップルドーム使用可能 = 702;
    }
}
const VN_エロ戦闘敵種類 = 702;
let BtlEroCheck = new BtlEroCheck_Class();
Game_Interpreter.prototype.Btlエロ行動制御SW_Update = function () {
    $gameSwitches.setValue(BtlEroCheck.SW_ニップルドーム使用可能, _ニップルドーム_UseCk());
}
class BtlEnemy行動SW_Class {
    constructor() {
        this.SW_EnemyHp半分 = 862;  
        this.SW_EnemyDown = 867;    
        this.SW_復活EnemyDown = 872;    
        this.SW_EnemyDownNextTurn = 905;    
        this.SW_復活EmDownNextTurn = 910;  
    }
}
let BtlEnemy行動Check = new BtlEnemy行動SW_Class();
Game_Interpreter.prototype.BtlEnemy行動SW_Update = function () {
    for (let i = 0; i <= NEnemy.length - 1; i++) {
        if (!NEnemy[i].FstHidden) {
            $gameSwitches._data[BtlEnemy行動Check.SW_EnemyHp半分 + i] = (NEnemy[i]._hp <= NEnemy[i].mhp / 2);
            if (NEnemy[i]._hp <= 0)
                $gameSwitches._data[BtlEnemy行動Check.SW_EnemyDown + i] = true
            if (NEnemy[i].RebornEmFlg == undefined) NEnemy[i].RebornEmFlg = false;
            if (NEnemy[i].RebornEmFlg) {
                $gameSwitches._data[BtlEnemy行動Check.SW_復活EnemyDown + i] = (NEnemy[i]._hp <= 0);
            }
        }
    }
}
Game_Interpreter.prototype.BtlEnemy行動SW_Reset = function () {
    for (let i = 0; i < 5; i++) {
        $gameSwitches._data[BtlEnemy行動Check.SW_EnemyHp半分 + i] = false;
        $gameSwitches._data[BtlEnemy行動Check.SW_EnemyDown + i] = false;
        $gameSwitches._data[BtlEnemy行動Check.SW_復活EnemyDown + i] = false;
        $gameSwitches._data[BtlEnemy行動Check.SW_EnemyDownNextTurn + i] = false;
        $gameSwitches._data[BtlEnemy行動Check.SW_復活EmDownNextTurn + i] = false;
    }
}
